Subject: [TR] TR4A sun visor is loose

From: Dave Connitt <[email-masked]>
Date: Tue, 20 Jul 2021 11:30:01 -0400

Hi All,
Does anyone have a solution for sun visors that won’t stay in the “up” position? I can feel some type of clamp under the vinyl covering in the sun visor on the outside end of the visors and I imagine that is what is supposed to hold the visor in place but after 50 years it’s not what it used to be.
Anyway, has anyone had success improving the grip of the visor to the rod that holds it?
I am heading to Pittsburgh this weekend to attend the British Car Show and watch some vintage racing and it would be nice to fix this before I leave.
Thanks,
Dave Connitt 

Sent from my iPhone
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]